Subject: bug#39134: 28.0.50; forward-sexp fails on curved singlequotes

From: Andreas Röhler <[email-masked]>
Date: Tue, 14 Jan 2020 18:33:25 +0100

On 14.01.20 17:20, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Andreas Röhler <[email-masked]>
>> Date: Tue, 14 Jan 2020 17:06:54 +0100
>>
>>>> "M-x forward-sexp RET". Cursor stops at dot, but should go until Char: ’
>>>> (8217, #o20031, #x2019)
>>> Why do you think it should go until ’ ?
>>
>> Consider it a balanced expression closed by that char.
> I'm not sure I understand how that makes sense in a buffer not in Lisp
> mode, but maybe I'm missing something.

IMO the sense comes from the markup, from the editing point of view.